This page is no longer maintained — Please continue to the home page at www.scala-lang.org

Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out

6 replies
Eclipse Scala IDE
Joined: 2011-07-21,
User offline. Last seen 42 years 45 weeks ago.

We are happy to announce that the beta09 release of the Eclipse IDE for Scala is ready for download!
This release comes in two flavors: the 2.9.0-1 version, and the 2.8.2-SNAPSHOT version.

The 2.8 compiler shipped with this version of the plugin is based on the development branch of 2.8.2,
and is fully binary compatible with 2.8.1. It contains the same improvements to the presentation compiler
as the 2.9 version, and a number of bug fixes related to Java signatures.

What's new:
- better breakpoint support (fixes errors when setting breakpoints in traits coming from external libraries).
- better completions (works in many more situations, such as partially typed method names).
- better diagnostics ('no completions at all syndrome') and re-setting the Java completions flag.
- better integration with Eclipse. When clicking a scala classfile on a stack trace report, the scala file editor
will be correctly opened and functionalities such as navigation and setting breakpoint just work.
- moved Scala completions to its own category (instead of Java Proposals). This eliminates a source of
incompatibilities with the Mylyn plugin. Now you can enable/disable Scala completions from Preferences,
Java/Editor/ContentAssist/Advanced Scala Completions and Scala Completions (Java sources).
- added package object wizard.

A list of fixed tickets for this release is available here:

http://scala-ide-portfolio.assembla.com/spaces/ae55a-oWSr36hpeJe5avMc/ti...

You can install the new release by pointing Eclipse to the following update site:

for the 2.9.0-1 version: http://download.scala-ide.org/releases-29/2.0.0-beta

for the 2.8.2 version: http://download.scala-ide.org/releases-28/2.0.0-beta

Other releases can be found at:

http://download.scala-ide.org

As all previous releases, both plugins require Eclipse 3.6 (Helios).

Peter C. Chapin 2
Joined: 2011-01-07,
User offline. Last seen 42 years 45 weeks ago.
Re: Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out

On Thu, 2011-07-21 at 08:06 -0400, Eclipse Scala IDE wrote:

> As all previous releases, both plugins require Eclipse 3.6 (Helios).

The web page says both Helios and Indigo are supported. Which is true?
I've been evaluating it with Indigo and I'm seeing some flaky behavior
(this was beta8... will try beta9). I'm also using 64 bit Eclipse in
case that makes a difference.

Also, a suggestion... on the web site there is a big button that says
"Copy update site URL to clipboard." The URL you get when you do this
is:

http://download.scala-ide.org/releases/2.0.0-beta

It seems like you need two buttons... one for the 2.9 and one for the
2.8 options. Neither of the URLs in your announcement are the same as
the one above. Does the one above work? I tried using it in the past but
it didn't seem to track the latest beta releases.

Peter

Eclipse Scala IDE
Joined: 2011-07-21,
User offline. Last seen 42 years 45 weeks ago.
Re: Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out

Hi Peter,

Yes, my mistake, I forgot to update the release note and include Indigo. The
scala plugin does indeed work with both Helios and Indigo.

Cheers,
Mirco

On Jul 21, 2011, at 3:03 PM, Peter C. Chapin wrote:

> On Thu, 2011-07-21 at 08:06 -0400, Eclipse Scala IDE wrote:
>
>> As all previous releases, both plugins require Eclipse 3.6 (Helios).
>
> The web page says both Helios and Indigo are supported. Which is true?
> I've been evaluating it with Indigo and I'm seeing some flaky behavior
> (this was beta8... will try beta9). I'm also using 64 bit Eclipse in
> case that makes a difference.
>
> Also, a suggestion... on the web site there is a big button that says
> "Copy update site URL to clipboard." The URL you get when you do this
> is:
>
> http://download.scala-ide.org/releases/2.0.0-beta
>
> It seems like you need two buttons... one for the 2.9 and one for the
> 2.8 options. Neither of the URLs in your announcement are the same as
> the one above. Does the one above work? I tried using it in the past but
> it didn't seem to track the latest beta releases.
>
> Peter
>
>

Jesse Eichar 2
Joined: 2011-04-06,
User offline. Last seen 42 years 45 weeks ago.
Re: Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out
For the record my quick impression is that this version is quite a bit more stable than beta 8.  Good job.
Jesse

On Thu, Jul 21, 2011 at 3:09 PM, Eclipse Scala IDE <eclipse [dot] scala [dot] ide [at] gmail [dot] com> wrote:
Hi Peter,

Yes, my mistake, I forgot to update the release note and include Indigo. The
scala plugin does indeed work with both Helios and Indigo.

Cheers,
 Mirco

On Jul 21, 2011, at 3:03 PM, Peter C. Chapin wrote:

> On Thu, 2011-07-21 at 08:06 -0400, Eclipse Scala IDE wrote:
>
>> As all previous releases, both plugins require Eclipse 3.6 (Helios).
>
> The web page says both Helios and Indigo are supported. Which is true?
> I've been evaluating it with Indigo and I'm seeing some flaky behavior
> (this was beta8... will try beta9). I'm also using 64 bit Eclipse in
> case that makes a difference.
>
> Also, a suggestion... on the web site there is a big button that says
> "Copy update site URL to clipboard." The URL you get when you do this
> is:
>
> http://download.scala-ide.org/releases/2.0.0-beta
>
> It seems like you need two buttons... one for the 2.9 and one for the
> 2.8 options. Neither of the URLs in your announcement are the same as
> the one above. Does the one above work? I tried using it in the past but
> it didn't seem to track the latest beta releases.
>
> Peter
>
>


Eclipse Scala IDE
Joined: 2011-07-21,
User offline. Last seen 42 years 45 weeks ago.
Re: Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out
Thanks Jesse! 
I couldn't agree more, there has been a lot of work from everyone involved in the project and I really think that we are heading in the right direction.
I'm really glad to hear that also you guys feel it! 
-- Mirco
On Jul 21, 2011, at 3:27 PM, Jesse Eichar wrote:
For the record my quick impression is that this version is quite a bit more stable than beta 8.  Good job.
Jesse

On Thu, Jul 21, 2011 at 3:09 PM, Eclipse Scala IDE <eclipse [dot] scala [dot] ide [at] gmail [dot] com> wrote:
Hi Peter,

Yes, my mistake, I forgot to update the release note and include Indigo. The
scala plugin does indeed work with both Helios and Indigo.

Cheers,
 Mirco

On Jul 21, 2011, at 3:03 PM, Peter C. Chapin wrote:

> On Thu, 2011-07-21 at 08:06 -0400, Eclipse Scala IDE wrote:
>
>> As all previous releases, both plugins require Eclipse 3.6 (Helios).
>
> The web page says both Helios and Indigo are supported. Which is true?
> I've been evaluating it with Indigo and I'm seeing some flaky behavior
> (this was beta8... will try beta9). I'm also using 64 bit Eclipse in
> case that makes a difference.
>
> Also, a suggestion... on the web site there is a big button that says
> "Copy update site URL to clipboard." The URL you get when you do this
> is:
>
> http://download.scala-ide.org/releases/2.0.0-beta
>
> It seems like you need two buttons... one for the 2.9 and one for the
> 2.8 options. Neither of the URLs in your announcement are the same as
> the one above. Does the one above work? I tried using it in the past but
> it didn't seem to track the latest beta releases.
>
> Peter
>
>



Markus Jais
Joined: 2011-06-14,
User offline. Last seen 42 years 45 weeks ago.
Re: Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out
Hi Mirco,
I can confirm Jesse's experience. Works great. Thanks a lot for all your hard work. Using Eclipse with Scala is  now a lot of fun!
Markus
Von: Eclipse Scala IDE <eclipse [dot] scala [dot] ide [at] gmail [dot] com>
An: Jesse Eichar <jesse [dot] eichar [at] gmail [dot] com>
Cc: scala-tools [at] googlegroups [dot] com
Gesendet: 15:32 Donnerstag, 21.Juli 2011
Betreff: Re: [scala-tools] Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out

Thanks Jesse! 
I couldn't agree more, there has been a lot of work from everyone involved in the project and I really think that we are heading in the right direction.
I'm really glad to hear that also you guys feel it! 
-- Mirco
On Jul 21, 2011, at 3:27 PM, Jesse Eichar wrote:
For the record my quick impression is that this version is quite a bit more stable than beta 8.  Good job.
Jesse

On Thu, Jul 21, 2011 at 3:09 PM, Eclipse Scala IDE <eclipse [dot] scala [dot] ide [at] gmail [dot] com" target="_blank" href="mailto:eclipse [dot] scala [dot] ide [at] gmail [dot] com" rel="nofollow">eclipse [dot] scala [dot] ide [at] gmail [dot] com> wrote:
Hi Peter,

Yes, my mistake, I forgot to update the release note and include Indigo. The
scala plugin does indeed work with both Helios and Indigo.

Cheers,
 Mirco

On Jul 21, 2011, at 3:03 PM, Peter C. Chapin wrote:

> On Thu, 2011-07-21 at 08:06 -0400, Eclipse Scala IDE wrote:
>
>> As all previous releases, both plugins require Eclipse 3.6 (Helios).
>
> The web page says both Helios and Indigo are supported. Which is true?
> I've been evaluating it with Indigo and I'm seeing some flaky behavior
> (this was beta8... will try beta9). I'm also using 64 bit Eclipse in
> case that makes a difference.
>
> Also, a suggestion... on the web site there is a big button that says
> "Copy update site URL to clipboard." The URL you get when you do this
> is:
>
> http://download.scala-ide.org/releases/2.0.0-beta
>
> It seems like you need two buttons... one for the 2.9 and one for the
> 2.8 options. Neither of the URLs in your announcement are the same as
> the one above. Does the one above work? I tried using it in the past but
> it didn't seem to track the latest beta releases.
>
> Peter
>
>





Eclipse Scala IDE
Joined: 2011-07-21,
User offline. Last seen 42 years 45 weeks ago.
Re: Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out
Hey Markus,
Can't be any happier :) So glad the new beta is getting good feedback!
I guess the main aspect of the new beta is that completion is working much better. Next step is to get the builder to work reliably so that we can work on complex multi-module projects. It will still take a while to get there, but I expect it will improve release after release.
-- Mirco
On Jul 22, 2011, at 9:23 AM, Markus Jais wrote:
Hi Mirco,
I can confirm Jesse's experience. Works great. Thanks a lot for all your hard work. Using Eclipse with Scala is  now a lot of fun!
Markus
Von: Eclipse Scala IDE <eclipse [dot] scala [dot] ide [at] gmail [dot] com>
An: Jesse Eichar <jesse [dot] eichar [at] gmail [dot] com>
Cc: scala-tools [at] googlegroups [dot] com
Gesendet: 15:32 Donnerstag, 21.Juli 2011
Betreff: Re: [scala-tools] Eclipse IDE for Scala beta09 for Scala 2.9 and 2.8 is out

Thanks Jesse! 
I couldn't agree more, there has been a lot of work from everyone involved in the project and I really think that we are heading in the right direction.
I'm really glad to hear that also you guys feel it! 
-- Mirco
On Jul 21, 2011, at 3:27 PM, Jesse Eichar wrote:
For the record my quick impression is that this version is quite a bit more stable than beta 8.  Good job.
Jesse

On Thu, Jul 21, 2011 at 3:09 PM, Eclipse Scala IDE <eclipse [dot] scala [dot] ide [at] gmail [dot] com" target="_blank" href="mailto:eclipse [dot] scala [dot] ide [at] gmail [dot] com" rel="nofollow">eclipse [dot] scala [dot] ide [at] gmail [dot] com> wrote:
Hi Peter,

Yes, my mistake, I forgot to update the release note and include Indigo. The
scala plugin does indeed work with both Helios and Indigo.

Cheers,
 Mirco

On Jul 21, 2011, at 3:03 PM, Peter C. Chapin wrote:

> On Thu, 2011-07-21 at 08:06 -0400, Eclipse Scala IDE wrote:
>
>> As all previous releases, both plugins require Eclipse 3.6 (Helios).
>
> The web page says both Helios and Indigo are supported. Which is true?
> I've been evaluating it with Indigo and I'm seeing some flaky behavior
> (this was beta8... will try beta9). I'm also using 64 bit Eclipse in
> case that makes a difference.
>
> Also, a suggestion... on the web site there is a big button that says
> "Copy update site URL to clipboard." The URL you get when you do this
> is:
>
> http://download.scala-ide.org/releases/2.0.0-beta
>
> It seems like you need two buttons... one for the 2.9 and one for the
> 2.8 options. Neither of the URLs in your announcement are the same as
> the one above. Does the one above work? I tried using it in the past but
> it didn't seem to track the latest beta releases.
>
> Peter
>
>






Copyright © 2012 École Polytechnique Fédérale de Lausanne (EPFL), Lausanne, Switzerland